> For the complete documentation index, see [llms.txt](https://help.paintscout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.paintscout.com/developers/settings-checklists.md).

# Settings Checklists

## List Checklists

> Lists checklists. A checklist is a set of tasks that can be added to a deal in one step.

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"TaskTemplate":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the checklist.","readOnly":true},"label":{"type":"string","description":"The display label of the checklist."},"tasks":{"type":"array","description":"The tasks the checklist adds to a deal, in order.","items":{"type":"object","additionalProperties":false,"properties":{"title":{"type":"string","description":"The title of the task."},"notes":{"type":"string","description":"The description of the task."}}}}},"required":["id","label","tasks"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/taskTemplates":{"get":{"summary":"List Checklists","description":"Lists checklists. A checklist is a set of tasks that can be added to a deal in one step.","operationId":"listTaskTemplates","tags":["Settings - Checklists"],"responses":{"200":{"description":"List of checklists","content":{"application/json":{"schema":{"type":"object","properties":{"totalRows":{"type":"number"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/TaskTemplate"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Retrieve Checklist

> Retrieves a single checklist by ID. A checklist is a set of tasks that can be added to a deal in one step.

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"TaskTemplate":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the checklist.","readOnly":true},"label":{"type":"string","description":"The display label of the checklist."},"tasks":{"type":"array","description":"The tasks the checklist adds to a deal, in order.","items":{"type":"object","additionalProperties":false,"properties":{"title":{"type":"string","description":"The title of the task."},"notes":{"type":"string","description":"The description of the task."}}}}},"required":["id","label","tasks"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/taskTemplates/{id}":{"get":{"summary":"Retrieve Checklist","description":"Retrieves a single checklist by ID. A checklist is a set of tasks that can be added to a deal in one step.","operationId":"getTaskTemplate","tags":["Settings - Checklists"],"parameters":[{"name":"id","in":"path","description":"ID of the Checklist","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Details about the checklist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskTemplate"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.paintscout.com/developers/settings-checklists.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
